Bug 966603 - Remove Puppet Master requirement when creating a new hostgroup
Remove Puppet Master requirement when creating a new hostgroup
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 10:27 EDT by Og Maciel
Modified: 2014-01-27 08:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 10:09:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2013-05-23 10:27:08 EDT
Description of problem:

Currently adding a Puppet Master is a requirement for creating a a new hostgroup. I'd argue that this should not be a requirement as there are scenarios when you don't really need puppet.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Try to create a new hostgroup without supplying a puppet master
2.
3.

Actual results:

Form validation prevents you from creating the hostgroup

Expected results:


Additional info:
Comment 1 Greg Sutcliffe 2013-05-28 12:32:19 EDT
I can't confirm this - running from develop at 4df2e17 the hostgroup doesn't fail validation for me. Can you attach the log so I can see which validation it's complaining about?
Comment 2 Greg Sutcliffe 2013-05-28 12:45:55 EDT
Oh, and whats the value of the "manage_puppetca" Setting in the Settings::Provisioning section? If it's "true" try setting it to "false".
Comment 3 Bryan Kearney 2013-05-28 15:28:21 EDT
This is part of the installation process.
Comment 4 Og Maciel 2013-05-29 20:45:11 EDT
Started PUT "/foreman/hostgroups/1-qegroup" for 127.0.0.1 at 2013-05-29 20:43:04 -0400
Processing by HostgroupsController#update as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"HhWUUtbhkqIRYMp9bW6d+COMRfiMMIer3zjTGD/V4/w=", "hostgroup"=>{"parent_id"=>"", "name"=>"qegroup", "environment_id"=>"4", "puppet_proxy_id"=>"", "puppetclass_ids"=>[""], "domain_id"=>"1", "subnet_id"=>"1", "architecture_id"=>"1", "operatingsystem_id"=>"1", "medium_id"=>"6", "ptable_id"=>"1", "root_pass"=>"[FILTERED]", "group_parameters_attributes"=>{"0"=>{"name"=>"kt_activation_keys", "value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>""}, "1"=>{"name"=>"kt_org", "value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>""}, "2"=>{"name"=>"kt_env", "value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>""}, "3"=>{"name"=>"kt_cv", "value"=>"[FILTERED]", "_destroy"=>"false", "nested"=>""}}, "organization_ids"=>["", "", "2"]}, "kt_activation_keys"=>"ActivationKey1", "commit"=>"Submit", "id"=>"1-qegroup"}
  Rendered common/404.html.erb within layouts/application (1.9ms)
Completed 404 Not Found in 26ms (Views: 18.3ms | ActiveRecord: 1.7ms)
Comment 5 Og Maciel 2013-05-29 20:51:50 EDT
manage_puppetca was already set to false
Comment 6 Og Maciel 2013-05-29 20:51:50 EDT
manage_puppetca was already set to false
Comment 7 Og Maciel 2013-06-13 10:09:12 EDT
Verified:
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10009-1.noarch
* foreman-compute-1.1.10009-1.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-libvirt-1.1.10009-1.noarch
* foreman-postgresql-1.1.10009-1.noarch
* foreman-proxy-1.1.10003-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch
* katello-1.4.2-12.el6sat.noarch
* katello-all-1.4.2-12.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-7.el6sat.noarch
* katello-cli-common-1.4.2-7.el6sat.noarch
* katello-common-1.4.2-12.el6sat.noarch
* katello-configure-1.4.3-15.el6sat.noarch
* katello-configure-foreman-1.4.3-15.el6sat.noarch
* katello-foreman-all-1.4.2-12.el6sat.noarch
* katello-glue-candlepin-1.4.2-12.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-12.el6sat.noarch
* katello-glue-pulp-1.4.2-12.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
* signo-0.0.16-1.el6sat.noarch
* signo-katello-0.0.16-1.el6sat.noarch

Note You need to log in before you can comment on or make changes to this bug.